libzypp 17.38.5

refresh.h File Reference
`#include <zypp-core/ng/async/task.h>`
`#include <zypp-core/ng/pipelines/Expected>`
`#include <zypp-core/ng/base/Signals>`
`#include <zypp-core/fs/TmpPath.h>`
`#include <zypp/RepoInfo.h>`
`#include <zypp/RepoManagerOptions.h>`
`#include <zypp/RepoManagerFlags.h>`
`#include <zypp/ng/repomanager.h>`
`#include <zypp/repo/PluginRepoverification.h>`

Go to the source code of this file.

## Classes
class | zyppng::repo::RefreshContext

## Namespaces
namespace | zyppng
namespace | zyppng::repo

## Typedefs
using | zyppng::repo::RawMetadataRefreshPolicy = zypp::RepoManagerFlags::RawMetadataRefreshPolicy
using | zyppng::repo::RefreshCheckStatus = zypp::RepoManagerFlags::RefreshCheckStatus

## Functions
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (Context)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (SyncContext)
| zyppng::repo::ZYPP_FWD_DECL_TYPE_WITH_REFS (RefreshContext)